TechDraw AngleDimension: Difference between revisions

From FreeCAD Documentation
No edit summary
No edit summary
Line 3: Line 3:
<!--T:18-->
<!--T:18-->
{{Docnav
{{Docnav
|[[TechDraw_Dimension_Diameter|New Diameter]]
|[[TechDraw_Dimension_Diameter|Dimension Diameter]]
|[[TechDraw_Dimension_Angle3Pt|New Angle3Pt]]
|[[TechDraw_Dimension_Angle3Pt|Dimension Angle3Pt]]
|[[TechDraw_Module|TechDraw]]
|[[TechDraw_Module|TechDraw]]
|IconL=TechDraw_Dimension_Diameter.svg
|IconL=TechDraw_Dimension_Diameter.svg
Line 67: Line 67:
<!--T:19-->
<!--T:19-->
{{Docnav
{{Docnav
|[[TechDraw_Dimension_Diameter|New Diameter]]
|[[TechDraw_Dimension_Diameter|Dimension Diameter]]
|[[TechDraw_Dimension_Angle3Pt|New Angle3Pt]]
|[[TechDraw_Dimension_Angle3Pt|Dimension Angle3Pt]]
|[[TechDraw_Module|TechDraw]]
|[[TechDraw_Module|TechDraw]]
|IconL=TechDraw_Dimension_Diameter.svg
|IconL=TechDraw_Dimension_Diameter.svg

Revision as of 20:47, 21 December 2020

TechDraw Dimension Angle

Menu location
TechDraw → Dimension Angle
Workbenches
TechDraw
Default shortcut
None
Introduced in version
-
See also
TechDraw Dimension Angle3Pt

Description

The Dimension Angle tool adds a angular dimension to a View. The dimension may be the interior angle between any two straight line edges. The angle will initially be the projected angle (ie as shown on the drawing), but this may be changed to the actual 3D angle using the Link Dimension tool.

Measuring the angle between two straight lines

Usage

  1. Select the points or edge which define your measurement.
  2. Press the Dimension Angle button
  3. A dimension will be added to the View. The dimension may be dragged to the desired position.

Limitations

Dimension objects are vulnerable to "topological naming" issues. See the information in the TechDraw Dimension Length tool for more information.

Properties

This object has the same properties as the TechDraw Dimension Length tool. See that tool for details.

Scripting

See also: TechDraw API and FreeCAD Scripting Basics.

The Dimension Angle tool can be used in macros and from the Python console by using the following functions:

dim1 = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewDimension','Dimension')
dim1.Type = "Angle"
dim1.References2D=[(view1, 'Edge1')]
rc = page.addView(dim1)